NANO(1)

NOM
nano - NAno un NOuvel éditeur, un clone libre et amélioré de Pico

SYNOPSIS
nano [+LIGNE,COLONNE] [options] [fichier]

DESCRIPTION
Cette page de manuel décrit brièvement la commande nano.

nano est un éditeur petit, sympathique et libre, qui vise à remplacer Pico, l'éditeur par défaut du paquet non libre Pine. nano ne se contentant pas de copier l'interface et l'ergonomie de Pico, il offre également certaines fonctions manquantes (ou désactivées par défaut) dans Pico. Ces fonctionnalités sont, par exemple, les fonctions de recherche et de remplacement, et la possibilité de sauter directement à un numéro de ligne.

OPTIONS

+LIGNE,COLONNE
    Démarre avec le curseur positionné à la colonne COLONNE de la ligne LIGNE au lieu de démarrer à la colonne 1, ligne 1.

-?  Identique à -h (--help).

-A (--smarthome)
    Rend plus malin le fonctionnement de la touche « Début ». Lorsque l'on appuie sur cette touche à n'importe quel endroit excepté au tout début du texte d'une ligne (i. e. au premier caractère non blanc), le curseur se positionnera au début du texte de la ligne (qu'il soit en avant ou en arrière). Si le curseur est déjà là, il se placera au vrai début de la ligne.

-B (--backup)
    Lors de l'écriture d'un fichier, crée une copie de sécurité de la version précédente, en ajoutant un tilde (~) au nom du fichier.

-C répertoire (--backupdir=répertoire)
    Définit le répertoire utilisé par nano pour enregistrer les copies de sécurité uniques si celles-ci sont activées.

-E (--tabstospaces)
    Convertit les tabulations clavier en espaces.

-F (--multibuffer)
    Active le mode multi-espace, autorisant l'édition simultanée de plusieurs fichiers, si ce mode est disponible.

-H (--historylog)
    Enregistre les chaînes ayant fait l'objet d'une recherche ou d'un remplacement dans le fichier ~/.nano_history afin de permettre leur réutilisation. Ceci n'est possible que si nano est configuré pour utiliser les fichiers nanorc.

-I (--ignorercfiles)
    Ne pas utiliser pas les fichiers SYSCONFDIR/nanorc et ~/.nanorc (si nano est capable de les utiliser).

-K (--rebindkeypad)
    Interprète les touches du pavé numérique afin qu'elles fonctionnent toutes correctement. Vous ne devriez utiliser cette option que si ce n'est pas le cas, car nano ne sera plus capable d'utiliser la souris correctement lorsque cette option sera activée.

-L (--nonewlines)
    Ne pas ajouter de passage à la ligne à la fin des fichiers.

-N (--noconvert)
    Désactive la conversion automatique des fichiers depuis les formats Mac et DOS.

-O (--morespace)
    Utiliser la ligne blanche située sous la ligne de titre comme espace supplémentaire d'édition.

-Q chaîne (--quotestr=chaîne)
    Définit le préfixe par défaut des citations. Nano utilise ce préfixe pour réaliser une justification correcte des citations. Si nano est capable d'utiliser des expressions rationnelles, le préfixe par défaut sera "^([ \t]*[|>:}#])+", sinon, ce sera "> ".

-R (--restricted)
    Mode restreint : aucune lecture ou écriture de fichiers non indiqués sur la ligne de commande, pas de lecture des fichiers nanorc, interdiction de suspendre, interdiction d'ajouter au début, à la fin ou de sauvegarder un fichier ayant déjà un nom sous un nom différent. Cette option peut aussi être activée en appelant nano sous un nom commençant par « r » (par exemple « rnano »).

-S (--smooth)
    Active le défilement progressif. Le texte défilera ligne-par-ligne au lieu de défiler morceau-par-morceau.

-T nombre (--tabsize=nombre)
    Définit la taille (largeur) des tabulations en nombre de colonnes. Le nombre indiqué doit être strictement supérieur à 0. La valeur par défaut est de 8.

-U (--quickblank)
    Effacement rapide de la ligne d'état. Les messages affichés par la ligne d'état disparaîtront après une frappe clavier au lieu de 25. Notez que -c annule cette option.

-V (--version)
    Affiche le numéro de version et l'auteur.

-W (--wordbounds)
    Détection plus précise des limites de mots, obtenue en considérant les caractères de ponctuation comme faisant partie des mots.

-Y chaîne (--syntax=chaîne)
    Indique quel mode de colorisation syntaxique adopter, parmi les modes définis dans le fichier .nanorc, si cette fonctionnalité est disponible.

-c (--const)
    Affiche en permanence la position du curseur. Notez que cette option annule l'option -U.

-d (--rebinddelete)
    Interprète différemment la touche « Supprimer », afin que les touches « Effacement arrière » et « Supprimer » fonctionnent correctement. Vous ne devriez avoir besoin de cette option que si, sur votre système, la touche « Effacement arrière » produit l'effet de la touche « Supprimer ».

-h (--help)
    Affiche un résumé des options disponibles en ligne de commande.

-i (--autoindent)
    Indentation automatique. Commence chaque nouvelle ligne au même niveau que la ligne précédente. Utile pour l'édition de code source.

-k (--cut)
    Coupe le texte du curseur à la fin de la ligne, au lieu de couper la ligne entière.

-l (--nofollow)
    Si le fichier édité est un lien symbolique, au lieu de le suivre, remplace le lien par le nouveau fichier. Sans doute utile pour éditer les fichiers de /tmp, non ?

-m (--mouse)
    Active l'utilisation de la souris (si elle est disponible pour votre système).

-o répertoire (--operatingdir=répertoire)
    Définit le répertoire de travail. Demande à nano de mettre en place quelque chose de similaire à un environnement d'exécution restreint (chroot).

-p (--preserve)
    Préserve les séquences XON et XOFF (^Q et ^S), afin qu'elle soient reçues par le terminal.

-r colonne (--fill=colonne)
    Passe automatiquement à la ligne une fois arrivé à la colonne colonne. Si la valeur indiquée est de 0 ou moins, le point de passage à la ligne aura lieu à la taille de l'écran moins colonne. Cela permet de faire varier le point de passage à la ligne lorsque l'on change la taille de l'écran. La valeur par défaut est de -8.

-s programme (--speller=programme)
    Choix d'un correcteur orthographique de remplacement.

-t (--tempfile)
    S'il a été modifié, le fichier sera sauvegardé automatiquement sans demande de confirmation. Identique à l'option -t de Pico.

-v (--view)
    Mode visualisation (lecture seule).

-w (--nowrap)
    Désactive le passage automatique à la ligne.

-x (--nohelp)
    Désactive la barre d'aide affichée en bas de l'écran.

-z (--suspend)
    Autorise à suspendre l'éditeur.

-a, -b, -e, -f, -g, -j
    Ignoré, pour être compatible avec Pico.

FICHIERS D'INITIALISATION
nano lit les fichiers d'initialisation dans l'ordre suivant : SYSCONFDIR/nanorc, puis ~/.nanorc. Référez-vous à la page de manuel de nanorc(5) et au fichier d'exemple nanorc.sample, qui devraient tous les deux être livrés avec nano.

NOTES
Si aucun correcteur orthographique de remplacement n'est indiqué dans la ligne de commande ou dans l'un des fichiers nanorc, nano prendra la commande indiquée par la variable d'environnement SPELL si elle est définie. Dans certains cas, nano essaiera de sauvegarder le fichier en cours d'édition dans un fichier de secours. Cela arrivera principalement si nano reçoit un signal SIGHUP ou SIGTERM, ou bien se trouve à court de mémoire. Le nom de ce fichier de secours sera nano.save si le fichier en cours n'avait pas encore de nom, ou sera composé du nom du fichier en cours suivi du suffixe « .save ». Si un fichier de ce nom existe déjà dans le répertoire, un « .save » et un nombre seront ajoutés à la fin du nom du fichier en cours afin de le rendre unique (par exemple, « .save.1 »). En mode multi-espace, nano réalisera une sauvegarde de tous les fichiers en cours dans leurs fichiers de secours respectifs.

BOGUES
Merci de nous faire parvenir vos commentaires et de nous signaler les bogues, en écrivant, en anglais, à nano@nano-editor.org. La liste de discussion anglophone nano est disponible via nano-devel@gnu.org. Pour vous abonner, envoyez un courrier électronique à nano-devel-request@gnu.org, ayant pour objet « subscribe ». N'hésitez pas également à envoyez vos commentaires, suggestions et corrections relatives à l'adaptation française de cette page de manuel ou du logiciel à jean-philippe.guerard@corbeaunoir.org.

SITE INTERNET
http://www.nano-editor.org/

VOIR AUSSI
nanorc(5)
/usr/share/doc/nano/ (ou son équivalent sur votre système)

AUTEUR
Chris Allegretta <chrisa@asty.org> et d'autres (voir les fichiers AUTHORS et THANKS pour plus d'information). Cette page de manuel a été initialement rédigée par Jordi Mallach <jordi@sindominio.net> pour le système GNU Debian (mais elle peut être utilisée par d'autres).

TRADUCTION
Cette adaptation française a été réalisé par Jean-Philippe Guérard <jean-philippe.guerard@corbeaunoir.org> le 15 décembre 2005 à partir de la version du 21 novembre 2005 de la page de manuel de nano 1.3.10. Cette version a été relue par Gérard Delafond. Un maximum de soin a été apporté lors de l'élaboration de cette traduction ; néanmoins, quelques imperfections peuvent subsister. Si vous en rencontrez, que ce soit dans la version française ou dans la version originale, n'hésitez pas à les signaler à l'auteur ou au traducteur. La version originale la plus à jour de ce document est toujours consultable via la commande : LANGUAGE=en man nano